ISMRMRD: ISMRMRD::Acquisition Class Reference

ISMRMRD ISMRM Raw Data Format

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | Friends | List of all members
ISMRMRD::Acquisition Class Reference
C++ API

MR Acquisition type. More...

`#include <ismrmrd.h>`

Collaboration diagram for ISMRMRD::Acquisition:
[legend]

## Public Member Functions
| Acquisition (uint16_t num_samples, uint16_t active_channels=1, uint16_t trajectory_dimensions=0)
| Acquisition (const Acquisition &other)
Acquisition & | operator= (const Acquisition &other)
uint16_t | version () const
uint64_t | flags () const
uint32_t & | measurement_uid ()
uint32_t & | scan_counter ()
uint32_t & | acquisition_time_stamp ()
uint32_t(& | physiology_time_stamp ())[ISMRMRD_PHYS_STAMPS]
const uint16_t & | number_of_samples ()
uint16_t & | available_channels ()
const uint16_t & | active_channels ()
const uint64_t(& | channel_mask ())[ISMRMRD_CHANNEL_MASKS]
uint16_t & | discard_pre ()
uint16_t & | discard_post ()
uint16_t & | center_sample ()
uint16_t & | encoding_space_ref ()
const uint16_t & | trajectory_dimensions ()
float & | sample_time_us ()
float(& | position ())[3]
float(& | read_dir ())[3]
float(& | phase_dir ())[3]
float(& | slice_dir ())[3]
float(& | patient_table_position ())[3]
ISMRMRD_EncodingCounters & | idx ()
int32_t(& | user_int ())[ISMRMRD_USER_INTS]
float(& | user_float ())[ISMRMRD_USER_FLOATS]
uint32_t | measurement_uid () const
uint32_t | scan_counter () const
uint32_t | acquisition_time_stamp () const
const uint32_t(& | physiology_time_stamp () const)[ISMRMRD_PHYS_STAMPS]
uint16_t | number_of_samples () const
uint16_t | available_channels () const
uint16_t | active_channels () const
const uint64_t(& | channel_mask () const)[ISMRMRD_CHANNEL_MASKS]
uint16_t | discard_pre () const
uint16_t | discard_post () const
uint16_t | center_sample () const
uint16_t | encoding_space_ref () const
uint16_t | trajectory_dimensions () const
float | sample_time_us () const
const float(& | position () const)[3]
const float(& | read_dir () const)[3]
const float(& | phase_dir () const)[3]
const float(& | slice_dir () const)[3]
const float(& | patient_table_position () const)[3]
const ISMRMRD_EncodingCounters & | idx () const
const int32_t(& | user_int () const)[ISMRMRD_USER_INTS]
const float(& | user_float () const)[ISMRMRD_USER_FLOATS]
void | resize (uint16_t num_samples, uint16_t active_channels=1, uint16_t trajectory_dimensions=0)
size_t | getNumberOfDataElements () const
size_t | getNumberOfTrajElements () const
size_t | getDataSize () const
size_t | getTrajSize () const
const AcquisitionHeader & | getHead () const
void | setHead (const AcquisitionHeader &other)
const complex_float_t * | getDataPtr () const
complex_float_t * | getDataPtr ()
complex_float_t & | data (uint16_t sample, uint16_t channel)
void | setData (complex_float_t *data)
complex_float_t * | data_begin ()
const complex_float_t * | data_begin () const
complex_float_t * | data_end ()
const complex_float_t * | data_end () const
const float * | getTrajPtr () const
float * | getTrajPtr ()
float & | traj (uint16_t dimension, uint16_t sample)
void | setTraj (float *traj)
float * | traj_begin ()
const float * | traj_begin () const
float * | traj_end ()
const float * | traj_end () const
bool | isFlagSet (const uint64_t val) const
void | setFlag (const uint64_t val)
void | clearFlag (const uint64_t val)
void | clearAllFlags ()
bool | isFlagSet (const FlagBit &val) const
void | setFlag (const FlagBit &val)
void | clearFlag (const FlagBit &val)
bool | isChannelActive (uint16_t channel_id) const
void | setChannelActive (uint16_t channel_id)
void | setChannelNotActive (uint16_t channel_id)
void | setAllChannelsNotActive ()

## Protected Attributes
ISMRMRD_Acquisition | acq

## Friends
class | Dataset

## Detailed Description

MR Acquisition type.

## Member Function Documentation

## ◆ data()

complex_float_t & ISMRMRD::Acquisition::data | ( | uint16_t | sample,
|  | uint16_t | channel )

Returns a reference to the data

## ◆ data_begin()

complex_float_t * ISMRMRD::Acquisition::data_begin | ( |  | ) |

Returns an iterator to the beginning of the data

## ◆ data_end()

complex_float_t * ISMRMRD::Acquisition::data_end | ( |  | ) |

Returns an iterator of the end of the data

## ◆ getDataPtr()

const complex_float_t * ISMRMRD::Acquisition::getDataPtr | ( |  | ) | const

Returns a pointer to the data

## ◆ getTrajPtr()

const float * ISMRMRD::Acquisition::getTrajPtr | ( |  | ) | const

Returns a pointer to the trajectory

## ◆ setData()

void ISMRMRD::Acquisition::setData | ( | complex_float_t * | data | ) |

Sets the datay. Must set sizes properly first

## ◆ setTraj()

void ISMRMRD::Acquisition::setTraj | ( | float * | traj | ) |

Sets the trajectory. Must set sizes properly first

## ◆ traj()

float & ISMRMRD::Acquisition::traj | ( | uint16_t | dimension,
|  | uint16_t | sample )

Returns a reference to the trajectory

## ◆ traj_begin()

float * ISMRMRD::Acquisition::traj_begin | ( |  | ) |

Returns an iterator to the beginning of the trajectories

## ◆ traj_end()

float * ISMRMRD::Acquisition::traj_end | ( |  | ) |

Returns an iterator to the end of the trajectories

The documentation for this class was generated from the following files:

- ismrmrd.h
- ismrmrd.cpp